<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  tabla donde se listan las zonas de un avalúo
@cu           CU-SA-AC-075


-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="detallesAvaluoPG">


    <p:dataTable
        id="zonasAvaluoDT"
        value="#{administracionDetallesAvaluo.zonasAvaluoList}"
        var="zona"
        widgetVar="detallesAvaluoDTWV"
        rowKey="#{zona.id}"
        paginator="true"
        rows="5"
        selection="#{administracionDetallesAvaluo.selectedZonaAvaluo}"
        selectionMode="single"
        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
        {NextPageLink} {LastPageLink}"
        rowsPerPageTemplate="5,10,15"
        paginatorPosition="bottom"
        emptyMessage="No se encontraron zonas del avalúo"
        >

        <f:facet name="header">
            Zonas asociadas al avalúo
        </f:facet>


        <p:column headerText="Descripción">
            <h:outputText value="#{zona.descripcion}"/>
        </p:column>

        <p:column 
            headerText="Área (#{administracionDetallesAvaluo.currentAvaluo.unidadMedidaAreaTerreno})">
            <h:outputText value="#{zona.area}"/>
        </p:column>

        <p:column headerText="Valor unitario">
            <h:outputText value="#{zona.valorUnitarioTerreno}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column headerText="Valor terreno">
            <h:outputText value="#{zona.valorTerreno}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

    </p:dataTable>


</h:panelGrid>
